pgtopo_import(1)

NAME

pgtopo_import - postgis topology importer

SYNTAX

pgtopo_import [ --skip-layers | --only-layers ] [ -f <dumpfile> ] <toponame> pgtopo_import [options] topology

DESCRIPTION

The pgtopo_import data loader reads an export file written by pgtopo_export and outputs an SQL script reconstructing the topology therein contained.

USAGE

The <topology> is the name to give to the re-created topology, which can be different from the name of the topology the export was made from. By default the SQL script is written on standard output.

OPTIONS

These are the supported options (Note that --skip-layers and --only-layers are mutually exclusive.)

--skip-layers
    Do not include layers in the output SQL script. Just the topology schema.

--only-layers
    Do not include the topology schema in the output SQL script. Just the layers.

-f <filename>
    Read the export file from the specified filename, rather than from standard input. -h Display usage information.

EXAMPLES

An example session using the loader to create an SQL file and uploading it might look like this: # pgtopo_import city_data < city_data.pgtopo_export | psql newdb

AUTHORS

Originally written by Sandro Santilli <strk@kbt.io>.

SEE ALSO

pgtopo_export(1) More information is available at http://postgis.net